Differences From Artifact [d2bfb61304]:
- Executable file zlib/build.sh — part of check-in [6548a534b1] at 2010-09-26 04:41:16 on branch trunk — Fixed to support calling AR with options (user: rkeene, size: 1213) [annotate] [blame] [check-ins using]
To Artifact [9514b69964]:
- Executable file
zlib/build.sh
— part of check-in
[6221943337]
at
2010-09-26 04:42:32
on branch trunk
— KitCreator 0.2.2.x
Upgraded to latest ZLib
Updated ZLIB URL to work even when it is not the latest version, since the zlib website only hosts the current version (user: rkeene, size: 1264) [annotate] [blame] [check-ins using]
1 2 3 4 5 6 7 8 9 10 11 12 13 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi | | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi ZLIBVERS="1.2.4" SRC="src/zlib-${ZLIBVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/libpng/files/zlib/${ZLIBVERS}/zlib-${ZLIBVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" export ZLIBVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR rm -rf 'build' 'out' 'inst' mkdir 'build' 'out' 'inst' || exit 1 |
︙ | ︙ |